<?php
/**
* Joomla Community Builder User Plugin: plug_mutualconns
* @version $Id$
* @package plug_mutualconns
* @subpackage cmutualconns.php
* @author Curtis Kayfish (ckayfish)
* @copyright (C) 2009-2009 Curtis Kayfish
* @license Limited http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
* @final 1.2  (compatible with CB 1.2.x)
*/

/** ensure this file is being included by a parent file */
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

class getmutualconnsTab extends cbTabHandler {

	function getmutualconnsTab() {
		$this->cbTabHandler();
	}

	function getDisplayTab($tab, $user, $ui) {
		global $_CB_framework, $_CB_database;
		$params = $this->params;
		$showtext = $params->get('mcShowtext', 3);
		$firstuser = $user->id;
		$seconduser = $_CB_framework->myId();
		if  (!$seconduser || ($firstuser == $seconduser)) {
			return;
		}
		$html = '';

		/** Select mutual Friends*/
		$query = "SELECT m.*,u.name,u.email,u.username,c.avatar,c.avatarapproved, u.id "
		. "\n FROM #__comprofiler_members AS m"
		. "\n LEFT JOIN #__comprofiler AS c ON m.memberid=c.id"
		. "\n LEFT JOIN #__users AS u ON m.memberid=u.id"
		. "\n WHERE m.referenceid=".$firstuser
		. "\n AND c.approved=1 AND c.confirmed=1 AND c.banned=0 AND u.block=0"
		. "\n AND m.memberid IN"
		."(SELECT memberid"
			. "\n FROM #__comprofiler_members AS m"
			. "\n LEFT JOIN #__comprofiler AS c ON m.memberid=c.id"
			. "\n LEFT JOIN #__users AS u ON m.memberid=u.id"
			. "\n WHERE m.referenceid=".$seconduser
			. "\n AND c.approved=1 AND c.confirmed=1 AND c.banned=0 AND u.block=0)"
			. "\n ORDER BY m.membersince DESC, m.memberid ASC";
		/*. "\n LIMIT 10"; */

			$_CB_database->setQuery($query);
			$mutuals = $_CB_database->loadObjectList();
			$mutualCount = count($mutuals);

			if ($showtext) {
				$showintro = $params->get('mcShowintro', 3);
				if ($showintro) {
					$introtext = $params->get('mcIntrotext', 3);
					$html.= $introtext." ".$_CB_framework->myusername().", ";
					}
				if ($mutualCount < 1) {

					$html.= $params->get('mcMessage0', 3);
					} elseif ($mutualCount < 2) {
					$html.= $params->get('mcMessage1', 3);
					} else {
						$html.= $params->get('mcMessagebef', 3)." ".$mutualCount." ".$params->get('mcMessageaft', 3);
					}
				if ($params->get('mcShowuname', 3)) {
					$html.= " ".$user->username.".";
					}
				$html.="<br /><br />";
			}
			$i=1;
			$html.="<strong>";
			foreach ($mutuals as $mutual) {
				$html.= "<a href='".$_CB_framework->userProfileUrl($mutual->id)."'>".$mutual->username."</a>";
				if ($i < $mutualCount) {
					$html.= ", ";
					$i+=1;
					}
				} //End foreach
			$html.="</strong>";
		return $html;
	} //End function

}  //End Class